// WolffDynamics.h: interface for the WolffDynamics class.
//
//////////////////////////////////////////////////////////////////////

#ifndef WOLFFDYNAMICS_H
#define WOLFFDYNAMICS_H

#ifndef SWIG
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#endif

#include "SpinDynamics.h"

class WolffDynamics : public SpinDynamics  
{
public:
	double Sweep();
	virtual void SetTemperature(double temperature);
	WolffDynamics(SpinLattice *S);
	virtual ~WolffDynamics();

protected:
	int FlipNeighbors(int i, int j);
	double p;
	int oldSpin;

	// XXX
	int asymH, asymW;
};

#endif // !defined(WOLFFDYNAMICS_H)
