// ParameterDialog.cpp : implementation file
//

#include "stdafx.h"
#include "LMC.h"
#include "ParameterDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CParameterDialog dialog


CParameterDialog::CParameterDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CParameterDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CParameterDialog)
	m_temperature = 0.0;
	m_width = 0;
	m_height = 0;
	m_sweeps_per_draw = 0;
	m_magnetic_field = 0.0;
	m_algorithm = -1;
	m_upRadius = 0.0;
	//}}AFX_DATA_INIT
}


void CParameterDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CParameterDialog)
	DDX_Text(pDX, IDC_TEMPERATURE, m_temperature);
	DDX_Text(pDX, IDC_WIDTH, m_width);
	DDV_MinMaxInt(pDX, m_width, 1, 1000000);
	DDX_Text(pDX, IDC_HEIGHT, m_height);
	DDV_MinMaxInt(pDX, m_height, 1, 1000000);
	DDX_Text(pDX, IDC_SWEEPS_PER_DRAW, m_sweeps_per_draw);
	DDV_MinMaxInt(pDX, m_sweeps_per_draw, 1, 1000000);
	DDX_Text(pDX, IDC_MAGNETIC_FIELD, m_magnetic_field);
	DDX_Radio(pDX, IDC_ALG0, m_algorithm);
	DDX_Text(pDX, IDC_UPRADIUS, m_upRadius);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CParameterDialog, CDialog)
	//{{AFX_MSG_MAP(CParameterDialog)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CParameterDialog message handlers
